import React, { useState } from 'react';
import type { Meta, StoryObj } from '@storybook/react';
import Shape from './shape';

const Component: Meta<typeof Shape> = {
  title: 'Components/Selectors/shape',
  component: Shape,
  argTypes: { onChange: { action: 'changed' } },
  decorators: [(Story) => <div className="w-52 m-5">{Story()}</div>],
};

export default Component;

type Story = StoryObj<typeof Component>;

export const ShapeStory: Story = (args: any) => {
  const [value, setValue] = useState<string>('');
  return <Shape {...args} marking={value} onChange={setValue} />;
};

ShapeStory.args = {};
